# Get action set action

GET /v3/action-sets/{actionSetId}/actions/{actionId}

Retrieve a specific action from an action set

Endpoint: GET /v3/action-sets/{actionSetId}/actions/{actionId}
Security: API_Key

## Path parameters:

  - `actionSetId` (integer, required)
    ID of the action set

  - `actionId` (integer, required)
    ID of the action to retrieve

## Response 200 fields (application/json):

  - `sequence` (integer, required)
    Sequence number of the action

  - `id` (integer)
    ID of the action

  - `description` (string)
    Description of the action. Present for all actionTypes except: actionSet

  - `actionType` (string, required)
    Type of the user action
    Enum: "click", "input", "maskedinput", "select", "check", "uncheck", "enteriframe", "navto", "watch", "clearcookies", "execute", "exitiframe", "privacyoptin", "privacyoptout", "actionset"

  - `waitDuration` (integer)
    Duration to wait in milliseconds. Present for actionTypes: navTo, click, input, select, check, uncheck, execute, watch, maskedInput, enterIFrame, exitIFrame, clearCookies, privacyOptIn, privacyOptOut

  - `selectors` (array)
    List of selectors for element-based actions. Present for actionTypes: click, input, select, check, uncheck, maskedInput, enterIFrame

  - `selectors.selectorType` (string, required)
    Enum: "id", "name", "css", "xpath", "htmlattributes"

  - `selectors.value` (any, required)
    Selector value - string for simple selectors (CSS, XPath, id, name) or AttributeSelectorValue object for htmlattributes selector type

  - `preventNavigation` (boolean)
    Whether to prevent navigation after action execution. Present for actionTypes: click, input, select, check, uncheck, execute, watch, maskedInput

  - `value` (string)
    Value field with different meanings per actionType. For input/select: input value. For navTo: URL. For privacyOptIn/privacyOptOut: URL. For execute: JavaScript code. Present for actionTypes: input, select, navTo, privacyOptIn, privacyOptOut, execute

  - `maskedValue` (string)
    Masked value for secure input actions. Present for actionType: maskedInput

  - `js` (string)
    JavaScript code to execute. Present for actionType: execute

  - `url` (string)
    URL for navigation and privacy actions. Present for actionTypes: navTo, privacyOptIn, privacyOptOut

  - `seconds` (integer)
    Number of seconds to watch/wait. Present for actionType: watch

  - `isRequired` (boolean)
    Whether privacy action is required. Present for actionTypes: privacyOptIn, privacyOptOut

  - `actionSetId` (integer)
    ID of the action set this action belongs to. For actionType 'actionSet', this contains the referenced action set ID

  - `pageFilter` (string)
    Page filter pattern for the action

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


